// Controller: user.component.ts

import { Component } from '@angular/core';
import { User, UserService } from './user.service';

@Component({
    selector: 'app-user',
    template: './user.component.html',
})
export class UserComponent {
    user$: Observable<User>;
    name: string;
    age: string;

    constructor(private userService: UserService) {
        this.user = this.userService.getUser();
    }

    receiveName(event: string) {
        this.name = event;
    }

    receiveAge(event: number) {
        this.age = event;
    }

    submit(): void {
        this.userService.createUser(this.name, this.age);
    }
}